using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DomainClasses
{
  [Table("ItemsToBeShipped")]
  public class ItemToBeShipped
  {
    [Key]
    public int LineItemId { get; set; }
    public int OrderId { get; set; }
    public string ProductName { get; set; }
    public string ProductNumber { get; set; }
    public int Quantity { get; private set; }
    public OrderShippingDetail OrderShippingDetails { get; set; }
  }
  [Table("LineItems")]
  public class ShippedLineItem
  { 
     [Key]
     public int LineItemId { get; set; }
     public int ShipmentId { get; set; }
     public Shipment Shipment { get; set; }
  }
}