﻿using System.Data.Entity;
using DataLayer.Mapping;
using DomainClasses;

namespace DataLayer
{
  public class ShippingContext:BaseContext<ShippingContext>
  {
    public DbSet<Shipment> Shipments { get; set; }
    public DbSet<Shipper> Shippers { get; set; }
    public DbSet<OrderShippingDetail> Orders { get; set; }
    public DbSet<ItemToBeShipped> ItemsToBeShipped { get; set; }
    public DbSet<ShippedLineItem> ShippedLineItems { get; set; }
      protected override void OnModelCreating(DbModelBuilder modelBuilder)
      {
        
        modelBuilder.Ignore<LineItem>();
        modelBuilder.Ignore<Order>();
        modelBuilder.Configurations.Add(new ShippingAddressMap());
        
      } 
  }

  }

